Bric::Util::Grp::User(3p)

NAME
Bric::Util::Grp::User - Interface to Bric::Biz::Person::User Groups

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $

SYNOPSIS
See Bric::Util::Grp

DESCRIPTION
See Bric::Util::Grp.

INTERFACE

  Constructors
Inherited from Bric::Util::Grp.

  Destructors

$attr->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods

$supported_classes = Bric::Util::Grp->get_supported_classes()
    This will return an anonymous hash of the supported classes in the group as keys with the short name as a value. The short name is used to construct the member table names and the foreign key in the table.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my @list_classes = Bric::Util::Grp::User->get_list_classes
    Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$class_id = Bric::Util::Grp::User->get_object_class_id
    Forces all Objects to be considered as this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$class_id = Bric::Util::Grp::User->get_class_id()
    This will return the class ID that this group is associated with.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my $secret = Bric::Util::Grp::User->get_secret()
    Returns false, because this is not a secret type of group, but one that can be used by users.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my $class = Bric::Util::Grp::User->my_class()
    Returns a Bric::Util::Class object describing this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Uses Bric::Util::Class->lookup() internally.

my $class = Bric::Util::Grp::User->member_class()
    Returns a Bric::Util::Class object describing the members of this group.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Uses Bric::Util::Class->lookup() internally.

  Public Instance Methods
Most are inherited from Bric::Util::Grp. However, there are special methods here for managing privileges.

my (@privs || $privs_aref) = $grp->get_privs
my (@privs || $privs_aref) = $grp->get_privs(@priv_ids)
    Returns a list or anonymous array of Bric::Util::Priv objects set for this group. To manipulate those objects, see Bric::Util::Priv for its interface. Call $grp->save() to save your changes.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$self = $grp->new_priv($grp, $value)
    Creates and returns a new Bric::Util::Priv object for this group. Pass in the Bric::Util::Grp object to which to grant the privilege, and the privilege value. Call $grp->save() to save your changes.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$self = $grp->del_privs(@priv_ids);
    Deletes the privileges associated with this group by their IDs. If no Bric::Util::Priv object IDs are passed, then all the privs associated with thos group will be deleted. Call $grp->save() to save your changes.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$self = $grp->save
    Saves all changes to the group, including any changes to permissions.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

PRIVATE

  Private Constructors
NONE.

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions

my Bric::Util::Coll::Priv $priv_coll = &$get_priv_coll($self)
    Returns a collection of Bric::Util::Priv objects set for this group.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric, Bric::Biz::Person::User, Bric::Util::Priv